const { app, BrowserWindow } = require('electron');
const path = require('path');
const config = require('./config');

// Handle creating/removing shortcuts on Windows when installing/uninstalling.
if (require('electron-squirrel-startup')) { // eslint-disable-line global-require
    app.quit();
}


function createWindow () {
    const win = new BrowserWindow({
        title: config.title,
        width: 1000,
        height: 800,
        autoHideMenuBar:true,
        icon: path.join(__dirname, config.icon),
        backgroundColor: config.bg_color        
    });
      
    win.loadURL(config.app_url);
    
    win.webContents.on('did-fail-load', () => {
        console.log('did-fail-load');           
        win.loadFile(path.join(__dirname, 'load_fail.html'));
    });        
    win.maximize();
}


// This method will be called when Electron has finished
// initialization and is ready to create browser windows.
// Some APIs can only be used after this event occurs.
app.on('ready', createWindow);

// Quit when all windows are closed, except on macOS. There, it's common
// for applications and their menu bar to stay active until the user quits
// explicitly with Cmd + Q.
app.on('window-all-closed', () => {
    if (process.platform !== 'darwin') {
        app.quit();
    }
});

app.on('activate', () => {
    // On OS X it's common to re-create a window in the app when the
    // dock icon is clicked and there are no other windows open.
    if (BrowserWindow.getAllWindows().length === 0) {
        createWindow();
    }
});
